import { Query } from '@kevisual/query';
export const query = new Query({});
export const request = query.post;
export const ws = new WebSocket('ws://localhost:6010/api/router');
import { create } from 'zustand';

type Store = {
  connected: boolean;
  setConnected: (connected: boolean) => void;
};
export const useStore = create<Store>((set) => ({
  connected: false,
  setConnected: (connected) => set({ connected }),
}));

// 当连接成功时
ws.onopen = () => {
  console.log('Connected to WebSocket server');
  useStore.getState().setConnected(true);
};
// 接收服务器的消息
ws.onmessage = (event) => {
  // console.log('Received message:', event.data);
  // const message = JSON.parse(event.data);
};

// 处理 WebSocket 关闭
ws.onclose = () => {
  console.log('Disconnected from WebSocket server');
};
