import { PlusOutlined } from '@ant-design/icons';
import { Button } from 'antd';
import { Outlet, useLocation } from 'react-router';
import { useContainerStore } from '../store';
import { useEffect } from 'react';
import { useShallow } from 'zustand/react/shallow';

export const Main = () => {
  const containerStore = useContainerStore(
    useShallow((state) => {
      return {
        setFormData: state.setFormData,
        setShowEdit: state.setShowEdit,
      };
    }),
  );
  const location = useLocation();
  const isEdit = location.pathname.includes('edit/list');
  return (
    <div className='flex w-full h-full flex-col'>
      <div className='layout-menu'>
        Container
        <Button
          className={!isEdit ? 'hidden' : ''}
          icon={<PlusOutlined />}
          onClick={() => {
            console.log('add');
            containerStore.setFormData({});
            containerStore.setShowEdit(true);
          }}
        />
      </div>
      <div
        className='flex'
        style={{
          height: 'calc(100vh - 3rem)',
        }}>
        <div className='flex-grow overflow-hidden'>
          <div className='w-full h-full rounded-lg'>
            <Outlet />
          </div>
        </div>
      </div>
    </div>
  );
};
